function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useState } from 'react';
import { action } from '@storybook/addon-actions';
import { add, format } from 'date-fns';
import { IntlProvider } from 'react-intl';
import DatePickerClearable from '.';
import { Box, Button, Flexbox, Typography } from '../../..';
export default {
  title: 'Molecules / DatePicker / Clearable DatePicker ',
  parameters: {
    component: DatePickerClearable
  }
};
export var ControlledWithClearStateByTyping = function ControlledWithClearStateByTyping() {
  var _useState = useState(new Date('01/01/2021')),
    _useState2 = _slicedToArray(_useState, 2),
    date = _useState2[0],
    setDate = _useState2[1];
  var formattedDate = date ? format(date, 'dd/MM/yyyy') : 'no date selected';
  return React.createElement(IntlProvider, {
    locale: "en"
  }, React.createElement(Flexbox, {
    container: true,
    direction: "column",
    gap: 4
  }, React.createElement(Typography, null, "Local state date: ", formattedDate), React.createElement(Box, null, React.createElement(Button, {
    onClick: function onClick() {
      return setDate(add(date || new Date('01/01/2021'), {
        days: 1
      }));
    }
  }, "Next date")), React.createElement(DatePickerClearable, {
    id: "controlled",
    label: "Label",
    selectedDate: date,
    onChange: function onChange(selectedDate) {
      setDate(selectedDate);
      action('onChange');
    }
  })));
};
export var ControlledWithClearStateWithButton = function ControlledWithClearStateWithButton() {
  var _useState3 = useState(new Date('01/01/2021')),
    _useState4 = _slicedToArray(_useState3, 2),
    date = _useState4[0],
    setDate = _useState4[1];
  var clearDateState = function clearDateState() {
    setDate(undefined);
  };
  var formattedDate = date ? format(date, 'dd/MM/yyyy') : 'no date selected';
  return React.createElement(IntlProvider, {
    locale: "en"
  }, React.createElement(Flexbox, {
    container: true,
    direction: "column",
    gap: 4
  }, React.createElement(Typography, null, "Local state date: ", formattedDate), React.createElement(Box, null, React.createElement(Button, {
    onClick: function onClick() {
      return setDate(add(date || new Date('01/01/2021'), {
        days: 1
      }));
    }
  }, "Next date")), React.createElement(DatePickerClearable, {
    id: "controlled",
    label: "Label",
    selectedDate: date,
    onChange: function onChange(selectedDate) {
      setDate(selectedDate);
      action('onChange');
    },
    clearDateButton: {
      clearButtonLabel: 'Clear date and state',
      onClearDate: clearDateState
    }
  })));
};
export var FullscreenOnMobileWithClearStateDate = function FullscreenOnMobileWithClearStateDate() {
  var _useState5 = useState(undefined),
    _useState6 = _slicedToArray(_useState5, 2),
    date = _useState6[0],
    setDate = _useState6[1];
  var clearDateState = function clearDateState() {
    setDate(undefined);
  };
  var formattedDate = date ? format(date, 'dd/MM/yyyy') : 'no date selected';
  return React.createElement(IntlProvider, {
    locale: "en"
  }, React.createElement(Flexbox, {
    container: true,
    direction: "column",
    gap: 4
  }, React.createElement(Typography, null, "Local state date: ", formattedDate), React.createElement(DatePickerClearable, {
    id: "date-picker-with-fullscreen-on-mobile-behavior",
    label: "Fullscreen on mobile",
    onChange: function onChange(selectedDate) {
      setDate(selectedDate);
      action('onChange regular');
    },
    fullscreenOnMobile: true,
    fullscreenProps: {
      title: 'Select a date',
      confirmButtonLabel: 'OK',
      clearButtonLabel: 'Clear date and state',
      dateLabel: 'Pick a date',
      onClearDate: clearDateState
    }
  })));
};